FreeBSD : librsync -- collision vulnerability (b22b016b-b633-11e5-83ef-14dae9d210b8)

This script is Copyright (C) 2016 Tenable Network Security, Inc.


Synopsis :

The remote FreeBSD host is missing a security-related update.

Description :

Michael Samuel reports :

librsync before 1.0.0 uses a truncated MD4 checksum to match blocks,
which makes it easier for remote attackers to modify transmitted data
via a birthday attack.

See also :

http://www.openwall.com/lists/oss-security/2014/07/28/1
http://www.nessus.org/u?10792d9e

Solution :

Update the affected package.

Risk factor :

Medium / CVSS Base Score : 5.8
(CVSS2#AV:N/AC:M/Au:N/C:N/I:P/A:P)

Family: FreeBSD Local Security Checks

Nessus Plugin ID: 87832 ()

Bugtraq ID:

CVE ID: CVE-2014-8242

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now